<?php 
session_start();
add_hook("ClientAreaPage", 1, function(){
    if(getenv("HTTP_CLIENT_IP")){ 
        $ip = getenv("HTTP_CLIENT_IP");  
    }elseif(getenv("HTTP_X_FORWARDED_FOR")){ 
        $ip = getenv("HTTP_X_FORWARDED_FOR");  
    }elseif(getenv("REMOTE_ADDR")) {
        $ip = getenv("REMOTE_ADDR");  
    }else{
		exit('无法获取Ip,请稍后重试'); 
	}		
    switch(basename($_SERVER["SCRIPT_NAME"])){
        case "cart.php":
            $InfoFind = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','ip')->where('typeb','cart')->where('value',$ip)->first();
	    	if($InfoFind){
				header("location:index.php?m=blacklist&typeb=cart");
				exit();
			}
			if(trim($_SESSION['uid'])){
				$UserFind = \WHMCS\Database\Capsule::table('tblclients')->where('id',trim($_SESSION['uid']))->first();
				if(!$UserFind){
					exit('用户信息为空');
				}
				$InfoFindE = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','email')->where('typeb','cart')->where('value',$UserFind->email)->first();
				if($InfoFindE){
					header("location:index.php?m=blacklist&typeb=cart&deluseremail=".$UserFind->email);
					exit();
				}
				$InfoFindP = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','phone')->where('typeb','cart')->where('value',$UserFind->phonenumber)->first();
				if($InfoFindP){
					header("location:index.php?m=blacklist&typeb=cart&deluserphone=".urlencode($UserFind->phonenumber));
					exit();
				}
			}
        case "submitticket.php":
            $InfoFind = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','ip')->where('typeb','ticket')->where('value',$ip)->first();
	    	if($InfoFind){
				header("location:index.php?m=blacklist&typeb=ticket");
				exit();
			}
			if(trim($_SESSION['uid'])){
				$UserFind = \WHMCS\Database\Capsule::table('tblclients')->where('id',trim($_SESSION['uid']))->first();
				if(!$UserFind){
					exit('用户信息为空');
				}
				$InfoFindE = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','email')->where('typeb','ticket')->where('value',$UserFind->email)->first();
				if($InfoFindE){
					header("location:index.php?m=blacklist&typeb=ticket&deluseremail=".$UserFind->email);
					exit();
				}
				$InfoFindP = \WHMCS\Database\Capsule::table('mod_blacklist')->where('type','phone')->where('typeb','ticket')->where('value',$UserFind->phonenumber)->first();
				if($InfoFindP){
					header("location:index.php?m=blacklist&typeb=ticket&deluserphone=".urlencode($UserFind->phonenumber));
					exit();
				}
			}
        case "register.php":
            $InfoFind = \WHMCS\Database\Capsule::table('mod_blacklist')->where('typeb','reg')->where('type','ip')->where('value',$ip)->first();
		    if($InfoFind){
				header("location:index.php?m=blacklist");
				exit();
			}
        default:
            break;
    }
});
add_hook('ClientAreaRegister', 1, function($vars) {
    $UserFind = \WHMCS\Database\Capsule::table('tblclients')->where('id',$vars['userid'])->first();
    $EmailFind = \WHMCS\Database\Capsule::table('mod_blacklist')->where('typeb','reg')->where('type','email')->where('value',$UserFind->email)->first();
	if($EmailFind){
	   \WHMCS\Database\Capsule::table('tblclients')->where('id',$vars['userid'])->delete();
	   header("location:index.php?m=blacklist&deluseremail=".$UserFind->email);
	   exit();
	}
    $PhoneFind = \WHMCS\Database\Capsule::table('mod_blacklist')->where('typeb','reg')->where('type','phone')->where('value',$UserFind->phonenumber)->first();
	if($PhoneFind){
	   \WHMCS\Database\Capsule::table('tblclients')->where('id',$vars['userid'])->delete();
	   header("location:index.php?m=blacklist&deluserphone=".urlencode($UserFind->phonenumber));
	   exit();
	}
});
add_hook('AfterCronJob', 1, function($vars) {
    \WHMCS\Database\Capsule::table('mod_blacklist')->where('stoptime',date("Y-m-d"))->delete();
});
?>